[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnash-dev] "Go Upgrade" from YouTube

From: Rob Savoye
Subject: [Gnash-dev] "Go Upgrade" from YouTube
Date: Mon, 19 Apr 2010 12:25:21 -0600
User-agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20100330 Fedora/3.0.4-1.fc12 Lightning/1.0b1 Thunderbird/3.0.4

Recently YouTube started popping up a "Go Upgrade your flash player"
message on some pages. I tracked this down to those web pages using
ExternalInterface to ask the plugin the value of "$version". As long as
it's above 8.0.0, the test is successful, and the video loads and plays

Unfortunately this fix requires the ExternalInterface branch I'm working
in now. :-) Once I migrate this to trunk, it'll start to work again for
everyone else. That migration will happen as soon as I finish changing
how getURL() works. (which still needs a test case)

        - rob -

reply via email to

[Prev in Thread] Current Thread [Next in Thread]